New listings exchange registry
curl --request GET \
--url https://www.sharpe.ai/api/v1/listings/exchanges \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/listings/exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/listings/exchanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"exchanges": [
{
"id": "<string>",
"name": "<string>",
"venueType": "cex",
"supportedMarketTypes": [
"<string>"
],
"docsUrl": "<string>",
"sourceUrls": [
"<string>"
],
"rateLimitPosture": "<string>",
"parserConfidence": "<string>",
"connectorStatus": "<string>",
"pollingGroup": "<string>",
"enabled": true,
"notes": "<string>"
}
],
"count": 123,
"enabled_count": 123,
"freshness_sla": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}
New Listings
New listings exchange registry
Returns the typed listing connector registry, including supported market types, source URLs, parser confidence, connector status, and market coverage for each exchange.
GET
/
v1
/
listings
/
exchanges
New listings exchange registry
curl --request GET \
--url https://www.sharpe.ai/api/v1/listings/exchanges \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sharpe.ai/api/v1/listings/exchanges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.sharpe.ai/api/v1/listings/exchanges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"exchanges": [
{
"id": "<string>",
"name": "<string>",
"venueType": "cex",
"supportedMarketTypes": [
"<string>"
],
"docsUrl": "<string>",
"sourceUrls": [
"<string>"
],
"rateLimitPosture": "<string>",
"parserConfidence": "<string>",
"connectorStatus": "<string>",
"pollingGroup": "<string>",
"enabled": true,
"notes": "<string>"
}
],
"count": 123,
"enabled_count": 123,
"freshness_sla": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "req_a1b2c3d4e5f6g7h8i9j0",
"timestamp": "2023-11-07T05:31:56Z",
"elapsed_ms": 1,
"dataset_id": "funding_rates_current",
"as_of": "2023-11-07T05:31:56Z",
"stale_after": "2023-11-07T05:31:56Z",
"freshness_sla_seconds": 123,
"freshness_status": "fresh",
"runtime_status": "ok",
"served_from": "snapshot",
"generated_at": "2023-11-07T05:31:56Z",
"source": [
"<string>"
],
"coverage": {
"expected": 123,
"used": 123,
"dropped": {},
"missing": [
"<string>"
]
},
"warnings": [
"<string>"
],
"truncated": true
}
}
Authorizations
BearerAuthApiKeyAuth

